#### D.14.1.6 varMat

Procedure from library `arr.lib` (see arr_lib).

Usage:
  varMat(v); v intvec

Return:
  [matrix] M containing the corresponding ring_variables

Example:

    LIB "arr.lib";
    ring R = 0,(x(1..6)),dp;
    intvec v = 2,4,6;
    varMat(v);
    ==> _[1,1]=x(2)
    ==> _[2,1]=x(4)
    ==> _[3,1]=x(6)

See also: arrLastVar; arrSwapVar; varMat; varNum.

User manual for Singular version 4.4.1, 2025, generated by texi2html.